# Class BestEndMapqPrimaryAlignmentStrategy

java.lang.Object
picard.sam.BestEndMapqPrimaryAlignmentStrategy

All Implemented Interfaces:
  `PrimaryAlignmentSelectionStrategy`

public class BestEndMapqPrimaryAlignmentStrategy extends Object implements PrimaryAlignmentSelectionStrategy
For an aligner that aligns each end independently, select the alignment for each end with the best MAPQ, and make that the primary. The primary alignments are then correlated so that their mate info points to each other, but all non-primary alignments are uncorrelated.

## Constructor Summary

Constructors
Constructor
Description
`BestEndMapqPrimaryAlignmentStrategy()`

## Method Summary

Modifier and Type
Method
Description
`void`
`pickPrimaryAlignment(picard.sam.HitsForInsert hits)`
Primary alignment was filtered out.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BestEndMapqPrimaryAlignmentStrategy

public BestEndMapqPrimaryAlignmentStrategy()

## Method Details

### pickPrimaryAlignment

public void pickPrimaryAlignment(picard.sam.HitsForInsert hits)
Primary alignment was filtered out. Need to select a new one.

Specified by:
  `pickPrimaryAlignment` in interface `PrimaryAlignmentSelectionStrategy`